Skip to main content
GET
/
v1
/
brands
List all active brands
curl --request GET \
  --url https://api.ongoody.com/v1/brands \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.ongoody.com/v1/brands"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.ongoody.com/v1/brands', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "logo_image": {
        "url": "<string>",
        "width": 123,
        "height": 123
      },
      "shipping_price": 123,
      "free_shipping_minimum": 123,
      "commerce_revshare_excluded": true,
      "brand_values": [
        "<string>"
      ],
      "brand_sets": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "images": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "image_large": {
                "url": "<string>",
                "width": 123,
                "height": 123
              }
            }
          ],
          "products": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "name": "<string>",
              "brand": "<unknown>",
              "variants": [
                {
                  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                  "name": "<string>",
                  "image_large": {
                    "url": "<string>",
                    "width": 123,
                    "height": 123
                  },
                  "subtitle": "<string>"
                }
              ],
              "images": [
                {
                  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                  "image_large": {
                    "url": "<string>",
                    "width": 123,
                    "height": 123
                  }
                }
              ],
              "price": 123,
              "price_is_variable": true,
              "restricted_states": [
                "<string>"
              ],
              "subtitle": "<string>",
              "subtitle_short": "<string>",
              "recipient_description": "<string>",
              "variants_label": "<string>",
              "variants_num_selectable": 123,
              "variant_groups": [
                {
                  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                  "name": "<string>",
                  "options": [
                    {
                      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                      "name": "<string>",
                      "subtitle": "<string>",
                      "color": "<string>",
                      "image_large": {
                        "url": "<string>",
                        "width": 123,
                        "height": 123
                      }
                    }
                  ]
                }
              ],
              "price_min": 123,
              "price_max": 123,
              "attributes": [
                {
                  "label": "<string>",
                  "content": "<string>"
                }
              ],
              "updated_at": "2023-11-07T05:31:56Z",
              "reserved_options": {
                "custom_price_tier": 123
              }
            }
          ],
          "categories": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "name": "<string>",
              "subcategories": [
                "<string>"
              ]
            }
          ]
        }
      ]
    }
  ],
  "list_meta": {
    "total_count": 123
  }
}

Authorizations

Authorization
string
header
required

Your Goody API key.

Query Parameters

page
integer
default:1

Page for pagination, starting at 1

Required range: x >= 1
per_page
integer
default:20

Items per page for pagination

Required range: 1 <= x <= 100
country_code
string
default:US

Filter by a specific shipping country code

Response

200 - application/json

Brands retrieved

data
object[]
list_meta
object